> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet inquiry

> Query on-chain wallet / receiving address (network/asset/payTo) for x402 stablecoin payin



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/wallet/inquiry
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers: []
security: []
tags:
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Chargeback list
    description: Chargeback list api description
  - name: Payout create
    description: Payout create api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Chargeback file download
    description: Chargeback file download api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Chargeback accept
    description: Chargeback accept api description
  - name: Subscription update
    description: ' Subscription update api description'
  - name: Chargeback file upload
    description: Chargeback file upload api description
  - name: Chargeback update
    description: Chargeback update api description
  - name: Wallet inquiry
    description: Wallet inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Order refund
    description: Order refund api description
  - name: Payout inquiry
    description: Payout inquiry api description
  - name: Order create
    description: ' Order create api description'
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Order cancel
    description: Order cancel api description
  - name: Chargeback inquiry
    description: Chargeback inquiry api description
  - name: Subscription create
    description: Subscription create api description
  - name: Order capture
    description: Order capture api description
paths:
  /api/v1/wallet/inquiry:
    post:
      tags:
        - Wallet inquiry
      summary: Wallet inquiry
      description: >-
        Query on-chain wallet / receiving address (network/asset/payTo) for x402
        stablecoin payin
      operationId: walletInquiry
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletInquiryReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseWalletInquiryResponse'
components:
  schemas:
    WalletInquiryReq:
      type: object
      description: Wallet / on-chain receiving address inquiry request
      properties:
        paymentRequestId:
          type: string
          description: >-
            Payment request id sent from Merchant, same value as order/create.
            Used for correlation and idempotency.
          maxLength: 32
          minLength: 0
        merchantInfo:
          $ref: '#/components/schemas/WalletInquiryReq.MerchantInfo'
          description: Merchant info
        orderCurrency:
          type: string
          description: >-
            Order currency for the resource pricing. Phase 1 supports USDC only
            (same-currency USDC→USDC).
          example: USDC
          maxLength: 12
          minLength: 0
      required:
        - merchantInfo
        - orderCurrency
        - paymentRequestId
    ResponseWalletInquiryResponse:
      type: object
      description: response data
      properties:
        code:
          type: string
          example: 0
        msg:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/WalletInquiryResponse'
    WalletInquiryReq.MerchantInfo:
      type: object
      description: Merchant info
      properties:
        merchantId:
          type: string
          description: Merchant Id assigned by Waffo
          example: 1000000201
          maxLength: 64
          minLength: 0
        subMerchantId:
          type: string
          description: Sub merchant id assigned by Waffo
          maxLength: 64
          minLength: 0
      required:
        - merchantId
    WalletInquiryResponse:
      type: object
      description: Wallet / on-chain receiving address inquiry response
      properties:
        network:
          type: string
          description: CAIP-2 network id. Phase 1 Base mainnet eip155:8453.
          example: eip155:8453
        asset:
          type: string
          description: >-
            On-chain token contract address for the network + currency (Base +
            USDC → USDC contract).
          example: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
        payTo:
          type: string
          description: >-
            Waffo / platform receiving wallet address. Not supplied by
            merchant/Agent.
          example: 0x...

````